/*
*	Copyright 2002,2003, Microsoft Corporation
*	Microsoft Confidential.
*	Written by Sergey Vasilevskiy, 2002-2003.
*/
#pragma once

#include "stdafx.h"

class CBrokerVolumeDB : public CTxnHarnessDBBase, public TPCE::CBrokerVolumeDBInterface
{	
	SQLHSTMT					m_hstmtFrame1;
	SQLHDESC					m_descFrame1Col1;
	SQLHDESC					m_descFrame1Col2;
	long						m_lDummySet2;	// binding for m_descFrame1Col2

	TPCE::TBrokerVolumeFrame1Input	Frame1Input;
	TPCE::TBrokerVolumeFrame1Output	Frame1Output;

public:
	CBrokerVolumeDB(CDBConnection *pDBConn);

	virtual void DoBrokerVolumeFrame1(  const TPCE::TBrokerVolumeFrame1Input*   pFrame1Input, 
                                        TPCE::PBrokerVolumeFrame1Output         pFrame1Output);

	// Function to pass any exception thrown inside
	// database class frame implementation
	// back into the database class
	void Cleanup(void* pException);
};
