/*
*	Copyright 2002-2003, Microsoft Corporation
*	Microsoft Confidential.
*	Written by Sergey Vasilevskiy, 2002-2004.
*/
#pragma once

#include "stdafx.h"

class CDataMaintenanceDB : public CTxnHarnessDBBase, public TPCE::CDataMaintenanceDBInterface
{	
	SQLHSTMT				            m_hstmtFrame1;

	TPCE::TDataMaintenanceFrame1Input	Frame1Input;
	
public:
	CDataMaintenanceDB(CDBConnection *pDBConn);
	~CDataMaintenanceDB();

	void DoDataMaintenanceFrame1( const TPCE::TDataMaintenanceFrame1Input*   pFrame1Input );

	// Function to pass any exception thrown inside
	// database class frame implementation
	// back into the database class
	void Cleanup(void* pException);

};
