------------------------------------------------------------------
--                                                              --
--  File:   Isolation1_S3.SQL                                   --
--          Microsoft TPC-E Benchmark Kit Ver. 1.12.0-1025      --
--          Copyright Microsoft  2010, 2011, 2012               --
--                                                              --
--  Implements TPC-E Isolation test #1                          --
--  P3 Test in Read-Write                                       --
--                                                              --
------------------------------------------------------------------
USE tpce
GO

BEGIN TRANSACTION

DECLARE @trade_id           bigint,
        @trade_qty          numeric(6,0)

---------------------------------------------------------
--- replace the trade id below with 
--- that returned in the Isolation1_S1 script.
---------------------------------------------------------
SELECT  @trade_id   = 200023212324001,
        @trade_qty  = 100
    

EXEC    TradeResult_Iso1_1  @trade_id,
                            @trade_qty

COMMIT
GO
