------------------------------------------------------------------
--                                                              --
--  File:   Create_TL_TU_Warnings_Table.SQL                     --
--          Microsoft TPC-E Benchmark Kit Ver. 1.12.0-1025      --
--          Copyright Microsoft  2010, 2011, 2012               --
--                                                              --
------------------------------------------------------------------
USE tpce
GO

IF EXISTS ( SELECT name FROM sysobjects WHERE name = 'TL_TU_WARNINGS' )
    DROP TABLE TL_TU_WARNINGS
GO

CREATE TABLE TL_TU_WARNINGS (
                             TimeStamp       datetime,
                             Table_Name      char(3),
                             Max_Trades      smallint       NULL,
                             Acct_ID         bigint         NULL,
                             Symbol          varchar(15)    NULL,
                             Start_DTS       datetime,
                             End_DTS         datetime,
                             T_ID            bigint         NULL,
                             T_CA_ID         bigint         NULL,
                             T_S_SYMB        varchar(15)    NULL,
                             T_DTS           datetime       NULL
                            )
GO
                      
