------------------------------------------------------------------
--                                                              --
--  File:   Isolation1_S2.SQL                                   --
--          Microsoft TPC-E Benchmark Kit Ver. 1.12.0-1025      --
--          Copyright Microsoft  2010, 2011, 2012               --
--                                                              --
--  Implements TPC-E Isolation test #1                          --
--  P3 Test in Read-Write                                       --
--                                                              --
------------------------------------------------------------------
USE tpce
GO

BEGIN TRANSACTION

DECLARE @acct_id        bigint,
        @symbol         varchar(15)

---------------------------------------------------------
--- *****************************************************
--- replace the account id and symbol below with 
--- those used in the Isolation1_S1 script.
--- *****************************************************
---------------------------------------------------------
SELECT  @acct_id    = 43013299998,
        @symbol     = 'NWFL-cu'
---------------------------------------------------------
--- *****************************************************    
--- *****************************************************
---------------------------------------------------------
------------------------------------------------
--- RUN TRADEORDER_ISO1
------------------------------------------------
EXEC    TradeOrder_Iso1_2   @acct_id,
                            @symbol
COMMIT
GO
